| optoMDC

Loading...
Searching...
No Matches
optoMDC.registers.mre3_registers.MRE3StaticInput Class Reference
Inheritance diagram for optoMDC.registers.mre3_registers.MRE3StaticInput:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| SetCurrent (self, value)
| GetCurrent (self)
| SetOF (self, value)
| GetOF (self)
| SetXY (self, value)
| GetXY (self)
| GetActiveType (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x50 | channel
dict | current
dict | of
dict | xy_value
dict | active_type
| name = self.__class__.__name__

## Protected Attributes
bool | _readonly = False
| _channel

## Detailed Description

    Input Channel Systems - USB/UART
    System IDs: 0x50 through 0x57

    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | Register Name  | Id   | Type        | Unit     | Range       | Default | Comment                               |
    +================+======+=============+==========+=============+=========+=======================================+
    | current        | 0x00 | float 32-bit| A        | -1.13 to 1.13 | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | OF             | 0x00 | float 32-bit| A        |             | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | XY             | 0x00 | float 32-bit| A        | -1.0 to 1.0 | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | Type           | 0x00 | float 32-bit| A        |             | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | FP             | 0x00 | float 32-bit| A        |             | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | Unitless       | 0x00 | float 32-bit| A        |             | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre3_registers.MRE3StaticInput.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ GetActiveType()

optoMDC.registers.mre3_registers.MRE3StaticInput.GetActiveType | ( |  | self | ) |

## ◆ GetCurrent()

optoMDC.registers.mre3_registers.MRE3StaticInput.GetCurrent | ( |  | self | ) |

## ◆ GetOF()

optoMDC.registers.mre3_registers.MRE3StaticInput.GetOF | ( |  | self | ) |

## ◆ GetXY()

optoMDC.registers.mre3_registers.MRE3StaticInput.GetXY | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre3_registers.MRE3StaticInput.help | ( |  | ) |
| static

## ◆ SetCurrent()

optoMDC.registers.mre3_registers.MRE3StaticInput.SetCurrent | ( |  | self,
|  |  | value )

## ◆ SetOF()

optoMDC.registers.mre3_registers.MRE3StaticInput.SetOF | ( |  | self,
|  |  | value )

## ◆ SetXY()

optoMDC.registers.mre3_registers.MRE3StaticInput.SetXY | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _channel

optoMDC.registers.mre3_registers.MRE3StaticInput._channel
| protected

## ◆ _readonly

bool optoMDC.registers.mre3_registers.MRE3StaticInput._readonly = False
| protected

## ◆ active_type

dict optoMDC.registers.mre3_registers.MRE3StaticInput.active_type

Initial value:
= {'id': self.sys_id << 8 | 0x03,
'type': UnitType,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ current

dict optoMDC.registers.mre3_registers.MRE3StaticInput.current

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': float,
'unit': 'A',
'range': [-1.13, 1.13],
'default': 0.0,
'value': 0.0}

## ◆ name

optoMDC.registers.mre3_registers.MRE3StaticInput.name = self.__class__.__name__

## ◆ of

dict optoMDC.registers.mre3_registers.MRE3StaticInput.of

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': float,
'unit': None,
'range': [-1, 1],
'default': 0.0,
'value': 0.0}

## ◆ sys_id

int optoMDC.registers.mre3_registers.MRE3StaticInput.sys_id = 0x50 | channel

## ◆ xy_value

dict optoMDC.registers.mre3_registers.MRE3StaticInput.xy_value

Initial value:
= {'id': self.sys_id << 8 | 0x02,
'type': float,
'unit': 'XY',
'range': [-1, 1],
'default': 0.0,
'value': 0.0}

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre3_registers.py